package com.ruoyi.ems.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 能源设施告警策略对象 adm_op_alarm_policy
 * 
 * @author ruoyi
 * @date 2024-08-26
 */
public class AdmOpAlarmPolicy extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 策略代码 */
    @Excel(name = "策略代码")
    private String policyCode;

    /** 策略名称 */
    @Excel(name = "策略名称")
    private String policyName;

    /** 告警对象类型 */
    @Excel(name = "告警对象类型")
    private Integer alarmObjType;

    /** 告警对象指标 */
    @Excel(name = "告警对象指标")
    private String alarmObjIndex;

    /** 告警规则 */
    @Excel(name = "告警规则")
    private Integer alarmRuleType;

    /** 告警阈值 */
    @Excel(name = "告警阈值")
    private Double alarmThresholdValue;

    /** 告警代码 */
    @Excel(name = "告警代码")
    private String alarmCode;

    /** 告警描述 */
    @Excel(name = "告警描述")
    private String alarmMsg;

    /** 告警类型 */
    @Excel(name = "告警类型")
    private Integer alarmType;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setPolicyCode(String policyCode) 
    {
        this.policyCode = policyCode;
    }

    public String getPolicyCode() 
    {
        return policyCode;
    }
    public void setPolicyName(String policyName) 
    {
        this.policyName = policyName;
    }

    public String getPolicyName() 
    {
        return policyName;
    }
    public void setAlarmObjType(Integer alarmObjType) 
    {
        this.alarmObjType = alarmObjType;
    }

    public Integer getAlarmObjType() 
    {
        return alarmObjType;
    }
    public void setAlarmObjIndex(String alarmObjIndex) 
    {
        this.alarmObjIndex = alarmObjIndex;
    }

    public String getAlarmObjIndex() 
    {
        return alarmObjIndex;
    }
    public void setAlarmRuleType(Integer alarmRuleType) 
    {
        this.alarmRuleType = alarmRuleType;
    }

    public Integer getAlarmRuleType() 
    {
        return alarmRuleType;
    }
    public void setAlarmThresholdValue(Double alarmThresholdValue) 
    {
        this.alarmThresholdValue = alarmThresholdValue;
    }

    public Double getAlarmThresholdValue() 
    {
        return alarmThresholdValue;
    }
    public void setAlarmCode(String alarmCode) 
    {
        this.alarmCode = alarmCode;
    }

    public String getAlarmCode() 
    {
        return alarmCode;
    }
    public void setAlarmMsg(String alarmMsg) 
    {
        this.alarmMsg = alarmMsg;
    }

    public String getAlarmMsg() 
    {
        return alarmMsg;
    }
    public void setAlarmType(Integer alarmType) 
    {
        this.alarmType = alarmType;
    }

    public Integer getAlarmType() 
    {
        return alarmType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("policyCode", getPolicyCode())
            .append("policyName", getPolicyName())
            .append("alarmObjType", getAlarmObjType())
            .append("alarmObjIndex", getAlarmObjIndex())
            .append("alarmRuleType", getAlarmRuleType())
            .append("alarmThresholdValue", getAlarmThresholdValue())
            .append("alarmCode", getAlarmCode())
            .append("alarmMsg", getAlarmMsg())
            .append("alarmType", getAlarmType())
            .toString();
    }
}
